## ros-rolling-ros2cli 0.17.1

=== debian/changelog ===
ros-rolling-ros2cli (0.17.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2cli (0.17.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-ros2cli (0.16.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2cli (0.16.0-1focal) focal; urgency=high

  * Use try_shutdown() instead of shutdown() in DirectNode.__exit__() (#683 <https://github.com/ros2/ros2cli/issues/683>)
  * Contributors: Ivan Santiago Paunovic

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-ros2cli (0.15.0-1focal) focal; urgency=high

  * Update maintainers to Aditya Pande, Audrow Nash, and Michael Jeronimo (#673 <https://github.com/ros2/ros2cli/issues/673>)
  * Updated maintainers (#670 <https://github.com/ros2/ros2cli/issues/670>)
  * Reapply #659 <https://github.com/ros2/ros2cli/issues/659> (#661 <https://github.com/ros2/ros2cli/issues/661>)
  * Revert "Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)" (#660 <https://github.com/ros2/ros2cli/issues/660>)
  * Make the ros2cli output always line buffered (#659 <https://github.com/ros2/ros2cli/issues/659>)
  * add uuid to ros2 daemon node name. (#658 <https://github.com/ros2/ros2cli/issues/658>)
  * Transfer daemon socket ownership on spawn. (#652 <https://github.com/ros2/ros2cli/issues/652>)
  * Add changelogs (#635 <https://github.com/ros2/ros2cli/issues/635>)
  * Contributors: Aditya Pande, Audrow Nash, Ivan Santiago Paunovic, Michel Hidalgo, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 18 Nov 2021 08:00:00 -0000

ros-rolling-ros2cli (0.14.0-1focal) focal; urgency=high

  * Ensure only one daemon can run at a time. (#622 <https://github.com/ros2/ros2cli/issues/622>)
  * Contributors: Michel Hidalgo

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-ros2cli (0.13.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-ros2cli (0.12.0-1focal) focal; urgency=high

  * Remove maintainer. (#597 <https://github.com/ros2/ros2cli/issues/597>)
  * Add option to support use_sim_time. (#581 <https://github.com/ros2/ros2cli/issues/581>)
  * Bugfix for #563 <https://github.com/ros2/ros2cli/issues/563>. (#570 <https://github.com/ros2/ros2cli/issues/570>)
  * Add Audrow as a maintainer. (#591 <https://github.com/ros2/ros2cli/issues/591>)
  * Contributors: Audrow Nash, Claire Wang, Daisuke Sato, Tomoya Fujita

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 02 Mar 2021 08:00:00 -0000

ros-rolling-ros2cli (0.11.0-1focal) focal; urgency=high

  * Support Python 3.8-provided importlib.metadata. (#585 <https://github.com/ros2/ros2cli/issues/585>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-ros2cli (0.10.1-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-ros2cli (0.10.0-1focal) focal; urgency=high

  * Update maintainers. (#568 <https://github.com/ros2/ros2cli/issues/568>)
  * Added dependency to python3-argcomplete to ros2cli. (#564 <https://github.com/ros2/ros2cli/issues/564>)
  * Remove use of pkg_resources from ros2cli. (#537 <https://github.com/ros2/ros2cli/pull/537>)
  * Contributors: Chris Lalancette, Claire Wang, Yoan Mollard

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 02 Nov 2020 08:00:00 -0000

ros-rolling-ros2cli (0.9.5-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-rolling-ros2cli (0.9.4-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-ros2cli (0.9.3-1focal) focal; urgency=high

  * Fix new flake8 errors. (#509 <https://github.com/ros2/ros2cli/issues/509>)
  * Improve NodeStrategy to use the right node seamlessly. (#499 <https://github.com/ros2/ros2cli/issues/499>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 May 2020 07:00:00 -0000

ros-rolling-ros2cli (0.9.2-1focal) focal; urgency=high

  * Make test_daemon.py robust to discovery latency. (#504 <https://github.com/ros2/ros2cli/issues/504>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-ros2cli (0.9.1-1focal) focal; urgency=high

  * Add support for get_node_names_and_namespaces_with_enclaves. (#501 <https://github.com/ros2/ros2cli/issues/501>)
  * Contributors: Mikael Arguedas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 06 May 2020 07:00:00 -0000

ros-rolling-ros2cli (0.9.0-1focal) focal; urgency=high

  * Extend CLI daemon's API. (#493 <https://github.com/ros2/ros2cli/issues/493>)
  * More verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Use f-string. (#448 <https://github.com/ros2/ros2cli/issues/448>)
    * Use f-string
    * Remove unused variable
  * Override parse_known_args for completion to work with partial argparse tree. (#446 <https://github.com/ros2/ros2cli/issues/446>)
    * Override parse_known_args for completion to work with partial argparse tree
    * Fix completion of partial first level command
    * Fix spelling in comment
  * Avoid passing None to rclpy.init. (#433 <https://github.com/ros2/ros2cli/issues/433>)
    Otherwise, all CLI arguments will be parsed as ROS arguments, which can lead
    to rcl warnings or incorrect legacy remapping behavior.
    This change does not pass arguments to rclpy.init from any of the CLI
    tools, but it leaves the opportunity to do so in the future by setting the

