=== debian/control ===
Source: ros-rolling-ros2cli
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-ament-xmllint, ros-rolling-test-msgs, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros2cli
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-argcomplete, python3-importlib-metadata, python3-netifaces, python3-packaging, python3-pkg-resources, ros-rolling-rclpy, ros-rolling-ros-workspace
Description: Framework for ROS 2 command line tools.
